#include	<stdio.h>

typedef struct SymbolEntry {	/* Symbol Table Entry */
	char	*signame;
	int	fanin;
	int	fanout;
	struct SymbolEntry *next;
} SymbolEntry;

typedef struct ComboEntry {	/* Combinational Symbol Table Entry */
	char	*signame;
	int	fanin;
	int	fanout;
	struct ComboEntry *next;
} ComboEntry;

typedef struct OutEntry {	/* Output Symbol Table Entry */
	char	*outname;
	struct OutEntry *next;
} OutEntry;

SymbolEntry	*CreateEntry(), *FindEntry();
ComboEntry	*CreateCEntry(), *FindCEntry();
OutEntry	*CreateOEntry(), *FindOEntry();

typedef struct CIOEntry {	/* Combinational Input/Output Entry */
	char	*ioname;
	struct CIOEntry *next;
} CIOEntry;

typedef struct IOEntry {	/* Input/Output Entry */
	char	*ioname;
	struct IOEntry *next;
} IOEntry;

typedef struct ClockEntry {	/* Clock Entry */
	char	*cname;
	struct ClockEntry *next;
} ClockEntry;

ClockEntry	*CreateClock(), *FindClock();

char	*emalloc();

char	*tempname, *tname;

FILE	*fblif, *fbdnet, *ftemp, *ftempblif, *fopen();
