/*    elmacro.h
 *
 *    Author: Enrico Malavasi, Univ. of Bologna
 *    Ver. 1.00  -  February, 1989
 */
#ifndef  _ELMACRO_
#define  _ELMACRO_  
#define   YES          1
#define   NO           0
#define   SUCCESS      1
#define   FAILURE      0
#define   loop         while(1)
#define   unless(x)    if(! (x))
/*
 *	Math macros ...
 *	--------------- */
#define min(a,b)	(((a) < (b)) ? (a) : (b))
#define max(a,b)	(((a) > (b)) ? (a) : (b))
#define abs(x)          (((x) < (0))? (- (x)): (x))
#define CHGSGN(x)       x = (-x)
#define SWAP(tp,a,b)    {tp x; x=a; a=b; b=x;}
#define SORT(tp,a,b)    if(b<a) SWAP(tp,a,b)
#define DOUBLE(x)       (x) += (x)
#define MULTIPLO(N,X)   (((N) % (X)) == 0)
#define ROUNDING(x,n)   (((int) ((x)*(n)))/(n))

typedef  char   *string;
#endif
