/*    technol.h
 *
 *    Author: Enrico Malavasi, Univ. of Bologna
 *
 *    PURPOSE: Technology parameters and definitions.
 *    NOTE:    All coordinates at the technology level are given
 *             as float variables.
 */
#ifndef _ROAD_TECHNOL_
#define _ROAD_TECHNOL_  

#define   TECH_OX_DIELECTRIC  3.45e-5  /* Oxide dielectric constant in pF/um */

#define   TECHNOLFILE     "road.technol"
#define   TYPE_DIFF      0
#define   TYPE_POLY      2
#define   TYPE_MET1      3
#define   TYPE_POL2      4
#define   TYPE_MET2      5
#endif
