#include  "roadGlobals.h"

rdGeneralCheck()
{
    int  i;
    int  j;

    fprintf(stderr, "DEBUG: Checking TERM flags ...\n");
    ForAllRects( i ) {
	ForAllPins( j ) {
	    if(pins[j].rect == rects+i) {
		if(! (rects[i].flag & RECTFLAG_TERM)) {
		    fprintf(stderr, "DEBUG: *** Rect %d has TERM flag OFF with pin %d in\n", i, j);
		}
		break;
	    }
	} if(j >= PIN_NUM) {
	    if(rects[i].flag & RECTFLAG_TERM) {
		fprintf(stderr, "DEBUG: *** Rect %d has TERM flag ON with no pin in\n", i);
	    }
	}
    }
}

/*    Showing pins  */
printPins(netNo)
int netNo;
{
    int i;

    ForAllPins(i)
      if(pins[i].netNo == netNo)
	printf("N.%d . Layer:%d . Side:%d . Pos.:%d . Rect:%d . Cell:%d . Equiv:%d . Name:%s\n", i, pins[i].layer, pins[i].side, pins[i].position,
	       (pins[i].rect==NULL)?(-1):pins[i].rect-rects,
	       pins[i].cellNo,
	       pins[i].equivNo,
	       pins[i].TermName);
}
printWire(wn)
int wn;
{
  int i;

  for(i=0 ; wSegmRect(wn, i)!=NULL ; i++)
    printf("%d - [%5d/%d] (%d, %d)-(%d, %d),%d - free:%x - flag:%x\n",
	   i,
	   wSegmRect(wn, i)-rects,
	   wSegmSide(wn, i),
	   rLeftX(wSegmRect(wn, i)),
	   rLowerY(wSegmRect(wn, i)),
	   rRightX(wSegmRect(wn, i)),
	   rUpperY(wSegmRect(wn, i)),
	   wSegmLayer(wn, i),
	   wSegmRect(wn, i)->free,
	   wSegmRect(wn, i)->flag);
}
