#include "oct.h"
#include "tap.h"

ConnNameGenerate(nLayers, Layers, widths, name)
int         nLayers;
octObject   Layers[];
octCoord    widths[];
char       *name;
{
    octObject           connInst;
    tapLayerListElement List[4];
    int                 i;

    for(i=0 ; i<nLayers ; i++) {
	List[i].layer     = Layers[i];
	List[i].width     = widths[i];
	List[i].direction = TAP_HORIZONTAL | TAP_VERTICAL;
    }
    
    connInst.type=OCT_INSTANCE;
    connInst.contents.instance.view="physical";
    connInst.contents.instance.facet="contents";
    connInst.contents.instance.version=OCT_CURRENT_VERSION;
    if(tapGetConnector(nLayers, List, &connInst) == 0)
      errRaise("RTO", 1, "Could not find a proper connector");
    
    sprintf(name, "%s:physical", connInst.contents.instance.master);
}
