#include "copyright.h"
#include "port.h"
#include "oct.h"

main()
{
    octObject facet, bag;
    
    octBegin();
    
    facet.type = OCT_FACET;
    facet.contents.facet.cell = "/tmp/fct";
    facet.contents.facet.view = "physical";
    facet.contents.facet.facet = "contents";
    facet.contents.facet.version = OCT_CURRENT_VERSION;
    facet.contents.facet.mode = "w";
    if (octOpenFacet(&facet) < OCT_OK) {
	octError("open facet failed");
	exit(-1);
    }

    bag.type = OCT_BAG;
    bag.contents.bag.name = "BAG";
    if (octCreate(&facet, &bag) < OCT_OK) {
	octError("create failed");
	exit(-1);
    }
    
    if (octCloseFacet(&facet) < OCT_OK) {
	octError("close facet failed");
	exit(-1);
    }
    
    octEnd();
}
