
#ifndef RPCAPPLICATION_H
#define RPCAPPLICATION_H

/*
 * OCT Server RPC Package (library side)
 *
 * Copyright (c) 1990, Rick L Spickelmier.  All rights reserved.
 *
 * Use and copying of this software and preparation of derivative works
 * based upon this software are permitted.  However, any distribution of
 * this software or derivative works must include the above copyright
 * notice.
 *
 * This software is made available AS IS, and neither the Electronics
 * Research Laboratory or the University of California make any
 * warranty about the software, its performance or its conformity to
 * any specification.
 *
 * Suggestions, comments, or improvements are welcome and should be
 * addressed to:
 *
 *   Rick L Spickelmier
 *   Electronics Research Laboratory
 *   Cory Hall
 *   University of California
 *   Berkeley, CA   94720
 *
 *   rpc@eros.Berkeley.EDU  (ARPANET)
 *   ..!ucbvax!eros!rpc        (UUCP)
 *
 */

#define RPCLIBRARY

#define RPCLOCATION "application"

#include "rpcInternal.h"

extern STREAM OCTSendStream;
extern STREAM OCTReceiveStream;


#endif RPCAPPLICATION_H
