#include "copyright.h"
#include "port.h"
#include "rpcServer.h"

STREAM receiveStream = stdin;
STREAM sendStream = stdout;

int RPCByteSwapped = 0;

main() 
{
    long functionNumber;

    errorlog("OCT Server Starting\n");

    while (RPCReceiveLong(&functionNumber, receiveStream)) {
	if (!OCTRequest(functionNumber)) {
	    errorlog("bad rpc oct request");
	    exit(-1);
	}
    }
}


void
errorlog(msg)
char *msg;
{
    FILE *fp;

    if ((fp = fopen("/tmp/oct-server.log", "a")) != NULL) {
	fprintf(fp, "error: %s\n", msg);
	(void) fclose(fp);
    }
}

