#include	"pre.h"

static EqlEntry	*EqlTable= 0;

/******************************************************************************/

int	HandleEQL(net1,net2)
char	*net1, *net2;
{
	EqlEntry	*p;

	p= (EqlEntry	*) emalloc( sizeof(EqlEntry) );
	p->oldname= emalloc(strlen(net1)+1);
	strcpy(p->oldname,net1);
	p->newname= emalloc(strlen(net2)+1);
	strcpy(p->newname,net2);
	p->next= EqlTable;
	EqlTable= p;
}

/******************************************************************************/

char	*emalloc(n)
unsigned	n;
{
	char	*p, *malloc();

	p= malloc(n);
	if ( p==0 )
	{
		printf("Out of Memory; malloc() failed.\n");
		exit(1);
	}
	return p;
}

/******************************************************************************/

int printall()
{
	EqlEntry	*p;

	p= EqlTable;
	while ( p!= (EqlEntry *) 0 )
	{
		printf("Table-->%s %s\n", p->oldname, p->newname);
		p= p->next;
	}
}

/******************************************************************************/

EqlEntry	*FindEql(ename)
char	*ename;
{
	EqlEntry	*p;

	for ( p= EqlTable; p!= (EqlEntry *) 0; p= p->next )
		if ( strcmp(p->oldname, ename)== 0 )
			return p;
	return 0;
}

/******************************************************************************/
