%{
#include	"prelex.h"
char *last_token;
%}
%%
("!"|"+"|"&"|"@"|"$"|"#")	{ last_token = yytext; yylval.yops= yytext[yyleng-1]; return(NOTEQL);};
("=")			{ last_token = yytext; yylval.yops= yytext[yyleng-1]; return(EQL);};
("d")			{ last_token = yytext; yylval.yseqops= emalloc(strlen(yytext)+1); strcpy(yylval.yseqops,yytext); return(SNOTEQL1);};
("dr")			{ last_token = yytext; yylval.yseqops= emalloc(strlen(yytext)+1); strcpy(yylval.yseqops,yytext); return(SNOTEQL2);};
("in") { 
   last_token = yytext; 
   yylval.yio = 'i';
   return(INDECL); 
   }
("out") { 
   last_token = yytext; 
   yylval.yio = 'o';
   return(OUTDECL); 
   }
("clk") { 
   last_token = yytext; 
   yylval.yio = 'c';
   return(CLKDECL); 
   }
[A-Za-z][A-Za-z0-9./\[\]<>-_:]*	{ last_token = yytext; yylval.yname= emalloc(strlen(yytext)+1); strcpy(yylval.yname,yytext); return(NAME);};
"\n"			{ last_token = yytext; return(ENDUM);};
.			;
